# HTTP Request Batching

When building integrations, engineers may sometimes need to dispatch incoming batch data to different destinations. For example, a high-traffic online retail store receives hundreds of orders that need to be dispatched to different warehouses based on the delivery address through an API call that only accepts one order at a time in the payload.

Laminar solves that problem with the `lam.httpRequests` keyword in the step editor that allows users to make multiple HTTP requests in parallel.

```javascript
(payload) => {
  const { input } = payload;
  
  return {
    "lam.httpRequests": [
      {
        "method": "GET",
        "url": "{{props.baseUrl}}/send-to-warehouse/premium",
        "body": input.premiumOrders
      },
      {
        "method": "GET",
        "url": "{{props.baseUrl}}/send-to-warehouse/regular",
        "pathParams": {
          "itemId": input.regularOrders
        }
      }
    ]
  };
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/building-an-integration/advanced/workflows/http-request-batching.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
